import{s as ct,n as gt,o as ht}from"../chunks/scheduler.d6170356.js";import{S as $t,i as vt,g as l,s as n,r as L,A as wt,h as o,f as a,c as s,j as mt,u as b,x as r,k as pt,y as yt,a as i,v as A,d as k,t as S,w as D}from"../chunks/index.fcd4cc08.js";import{H as E}from"../chunks/Heading.8660bd0e.js";function _t(tt){let u,F,H,I,f,V,d,et="There are no constraints on how to structure dataset repositories.",W,m,at=`However, if you want the Dataset Viewer to show certain data files, or to separate your dataset in train/validation/test splits, you need to structure your dataset accordingly.
Often it is as simple as naming your data files according to their split names, e.g. <code>train.csv</code> and <code>test.csv</code>.`,Y,p,j,c,it='Machine learning datasets typically have splits and may also have configurations. A dataset is generally made of <em>splits</em> (e.g. <code>train</code> and <code>test</code>) that are used during different stages of training and evaluating a model. A <em>configuration</em> is a sub-dataset contained within a larger dataset. Configurations are especially common in multilingual speech datasets where there may be a different configuration for each language. If you’re interested in learning more about splits and configurations, check out the <a href="https://huggingface.co/docs/datasets-server/configs_and_splits" rel="nofollow">Splits and configurations</a> guide!',U,g,nt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/split-configs-server.gif" alt="split-configs-server"/>',q,h,z,$,st='To structure your dataset by naming your data files or directories according to their split names, see the <a href="./datasets-file-names-and-splits">File names and splits</a> documentation.',O,v,R,w,lt=`You can choose the data files to show in the Dataset Viewer for your dataset using YAML.
It is useful if you want to specify which file goes into which split manually.`,B,y,ot="You can also define multiple configurations (or subsets) for your dataset, and pass dataset building parameters (e.g. the separator to use for CSV files).",G,_,rt='See the documentation on <a href="./datasets-manual-configuration">Manual configuration</a> for more information.',J,x,K,C,ut=`For image and audio classification datasets, you can also use directories to name the image and audio classes.
And if your images/audio files have metadata (e.g. captions, bounding boxes, transcriptions, etc.), you can have metadata files next to them.`,N,T,ft="We provide two guides that you can check out:",Q,M,dt='<li><a href="./datasets-image">How to create an image dataset</a></li> <li><a href="https://huggingface.co/docs/datasets/audio_dataset" rel="nofollow">How to create an audio dataset</a></li>',X,P,Z;return f=new E({props:{title:"Data files Configuration",local:"data-files-configuration",headingTag:"h1"}}),p=new E({props:{title:"What are splits and configurations?",local:"what-are-splits-and-configurations",headingTag:"h2"}}),h=new E({props:{title:"File names and splits",local:"file-names-and-splits",headingTag:"h2"}}),v=new E({props:{title:"Manual configuration",local:"manual-configuration",headingTag:"h2"}}),x=new E({props:{title:"Image and Audio datasets",local:"image-and-audio-datasets",headingTag:"h2"}}),{c(){u=l("meta"),F=n(),H=l("p"),I=n(),L(f.$$.fragment),V=n(),d=l("p"),d.textContent=et,W=n(),m=l("p"),m.innerHTML=at,Y=n(),L(p.$$.fragment),j=n(),c=l("p"),c.innerHTML=it,U=n(),g=l("p"),g.innerHTML=nt,q=n(),L(h.$$.fragment),z=n(),$=l("p"),$.innerHTML=st,O=n(),L(v.$$.fragment),R=n(),w=l("p"),w.textContent=lt,B=n(),y=l("p"),y.textContent=ot,G=n(),_=l("p"),_.innerHTML=rt,J=n(),L(x.$$.fragment),K=n(),C=l("p"),C.textContent=ut,N=n(),T=l("p"),T.textContent=ft,Q=n(),M=l("ul"),M.innerHTML=dt,X=n(),P=l("p"),this.h()},l(t){const e=wt("svelte-u9bgzb",document.head);u=o(e,"META",{name:!0,content:!0}),e.forEach(a),F=s(t),H=o(t,"P",{}),mt(H).forEach(a),I=s(t),b(f.$$.fragment,t),V=s(t),d=o(t,"P",{"data-svelte-h":!0}),r(d)!=="svelte-1sicc2g"&&(d.textContent=et),W=s(t),m=o(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-rffpu1"&&(m.innerHTML=at),Y=s(t),b(p.$$.fragment,t),j=s(t),c=o(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-1jat08g"&&(c.innerHTML=it),U=s(t),g=o(t,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1p3cuco"&&(g.innerHTML=nt),q=s(t),b(h.$$.fragment,t),z=s(t),$=o(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-2so1ee"&&($.innerHTML=st),O=s(t),b(v.$$.fragment,t),R=s(t),w=o(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-irk0xr"&&(w.textContent=lt),B=s(t),y=o(t,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1ee155m"&&(y.textContent=ot),G=s(t),_=o(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-14ak4wy"&&(_.innerHTML=rt),J=s(t),b(x.$$.fragment,t),K=s(t),C=o(t,"P",{"data-svelte-h":!0}),r(C)!=="svelte-r9o772"&&(C.textContent=ut),N=s(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1s3m8si"&&(T.textContent=ft),Q=s(t),M=o(t,"UL",{"data-svelte-h":!0}),r(M)!=="svelte-l8muxk"&&(M.innerHTML=dt),X=s(t),P=o(t,"P",{}),mt(P).forEach(a),this.h()},h(){pt(u,"name","hf:doc:metadata"),pt(u,"content",xt)},m(t,e){yt(document.head,u),i(t,F,e),i(t,H,e),i(t,I,e),A(f,t,e),i(t,V,e),i(t,d,e),i(t,W,e),i(t,m,e),i(t,Y,e),A(p,t,e),i(t,j,e),i(t,c,e),i(t,U,e),i(t,g,e),i(t,q,e),A(h,t,e),i(t,z,e),i(t,$,e),i(t,O,e),A(v,t,e),i(t,R,e),i(t,w,e),i(t,B,e),i(t,y,e),i(t,G,e),i(t,_,e),i(t,J,e),A(x,t,e),i(t,K,e),i(t,C,e),i(t,N,e),i(t,T,e),i(t,Q,e),i(t,M,e),i(t,X,e),i(t,P,e),Z=!0},p:gt,i(t){Z||(k(f.$$.fragment,t),k(p.$$.fragment,t),k(h.$$.fragment,t),k(v.$$.fragment,t),k(x.$$.fragment,t),Z=!0)},o(t){S(f.$$.fragment,t),S(p.$$.fragment,t),S(h.$$.fragment,t),S(v.$$.fragment,t),S(x.$$.fragment,t),Z=!1},d(t){t&&(a(F),a(H),a(I),a(V),a(d),a(W),a(m),a(Y),a(j),a(c),a(U),a(g),a(q),a(z),a($),a(O),a(R),a(w),a(B),a(y),a(G),a(_),a(J),a(K),a(C),a(N),a(T),a(Q),a(M),a(X),a(P)),a(u),D(f,t),D(p,t),D(h,t),D(v,t),D(x,t)}}}const xt='{"title":"Data files Configuration","local":"data-files-configuration","sections":[{"title":"What are splits and configurations?","local":"what-are-splits-and-configurations","sections":[],"depth":2},{"title":"File names and splits","local":"file-names-and-splits","sections":[],"depth":2},{"title":"Manual configuration","local":"manual-configuration","sections":[],"depth":2},{"title":"Image and Audio datasets","local":"image-and-audio-datasets","sections":[],"depth":2}],"depth":1}';function Ct(tt){return ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pt extends $t{constructor(u){super(),vt(this,u,Ct,_t,ct,{})}}export{Pt as component};
